This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 807495 - fail2ban 0.8.4 has iptables race conditions - latest upstream fixes bug
fail2ban 0.8.4 has iptables race conditions - latest upstream fixes bug
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fail2ban (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 20:22 EDT by David Rees
Modified: 2013-02-13 19:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 19:54:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Rees 2012-03-27 20:22:43 EDT
Description of problem:
The current version of fail2ban in EPEL (and Fedora) is subject to race conditions when running iptables commands to ban IPs.  The latest version of fail2ban 0.8.6 fixes this issue.

Version-Release number of selected component (if applicable):
fail2ban-0.8.4-28.el6.noarch

How reproducible:
Frequent

Steps to Reproduce:
1. Install fail2ban
2. Trigger bans
  
Actual results:
iptables actions generate ERROR

Expected results:
Clean iptables BAN

Additional info:
The latest version appears to be a clean update.  The latest version installed from source works great for me, but always nice to have a simple package to install from!
Comment 1 Adam Miller 2012-03-27 20:36:21 EDT
I am seeing the latest stable release of fail2ban as 0.8.4 on http://sourceforge.net/projects/fail2ban/ .... where are you getting a 0.8.6 stable release from?

-AdamM
Comment 2 David Rees 2012-03-27 20:40:57 EDT
Fail2ban moved to http://www.fail2ban.org/ and now uses github for downloads: https://github.com/fail2ban/fail2ban/tags

-Dave
Comment 3 Adam Miller 2012-03-27 20:57:21 EDT
I'm clearly batting 1000 today .... I read right over that part of the fail2ban wiki page. I'll get it packaged and into updates-testing by the end of the evening.

Thanks,
-AdamM
Comment 4 David Rees 2012-03-27 21:50:55 EDT
Thanks - let me know when it hits koji and I'll likely give it some testing tomorrow.
Comment 5 Adam Miller 2012-03-28 01:00:27 EDT
Unfortunately something came up ... I'll do my best to get to this in the morning though. Apologies for the delay.
Comment 6 David Rees 2012-04-11 00:29:08 EDT
Apologies for the bump, but have you made any progress on this?  Thanks!
Comment 7 Adam Miller 2012-04-11 19:23:26 EDT
Ah, my apologies. I actually got an email about this out of band and I replied to that but forgot to include that information here.

I don't maintain the Fedora package but as EPEL is a subproject of Fedora I don't want to get the EPEL branch ahead of the Fedora mainline/proper.

I will re-assign this to the Fedora branch and once the change has happened "upstream" (in respect to EPEL anyways) I will happily merge in the EPEL branch.

-AdamM
Comment 8 David Rees 2012-04-11 19:57:55 EDT
That works for me.  I have some Fedora boxes I can test the packages on as well.

Thank you!
Comment 9 Fedora End Of Life 2013-01-16 17:22:10 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora End Of Life 2013-02-13 19:54:22 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.